## Functions

### gst_cuda_nvrtc_compile

    gchar*
    gst_cuda_nvrtc_compile (const gchar* source)

Parameters:

`source` –

Source code to compile

Returns –
No description available

Since : 1.22

### GstCuda.prototype.cuda_nvrtc_compile

    function GstCuda.prototype.cuda_nvrtc_compile(source: String): {
        // javascript wrapper for 'gst_cuda_nvrtc_compile'
    }

Parameters:

`source` (String) –

Source code to compile

Returns (String) –
No description available

Since : 1.22

### GstCuda.cuda_nvrtc_compile

    def GstCuda.cuda_nvrtc_compile (source):
        #python wrapper for 'gst_cuda_nvrtc_compile'

Parameters:

`source` (str) –

Source code to compile

Returns (str) –
No description available

Since : 1.22

### gst_cuda_nvrtc_compile_cubin

    gchar*
    gst_cuda_nvrtc_compile_cubin (const gchar* source,
                                  gint device)

Parameters:

`source` –

Source code to compile

`device` –

CUDA device

Returns ( [transfer: full]) –

Compiled CUDA assembly code if successful, otherwise NULL

Since : 1.24

### GstCuda.prototype.cuda_nvrtc_compile_cubin

    function GstCuda.prototype.cuda_nvrtc_compile_cubin(source: String, device: Number): {
        // javascript wrapper for 'gst_cuda_nvrtc_compile_cubin'
    }

Parameters:

`source` (String) –

Source code to compile

`device` (Number) –

CUDA device

Returns (String) –

Compiled CUDA assembly code if successful, otherwise NULL

Since : 1.24

### GstCuda.cuda_nvrtc_compile_cubin

    def GstCuda.cuda_nvrtc_compile_cubin (source, device):
        #python wrapper for 'gst_cuda_nvrtc_compile_cubin'

Parameters:

`source` (str) –

Source code to compile

`device` (int) –

CUDA device

Returns (str) –

Compiled CUDA assembly code if successful, otherwise NULL

Since : 1.24

### gst_cuda_nvrtc_load_library

    gboolean
    gst_cuda_nvrtc_load_library ()

Loads the nvrtc library.

Returns –

TRUE if the library could be loaded, FALSE otherwise

Since : 1.22

### GstCuda.prototype.cuda_nvrtc_load_library

    function GstCuda.prototype.cuda_nvrtc_load_library(): {
        // javascript wrapper for 'gst_cuda_nvrtc_load_library'
    }

Loads the nvrtc library.

Returns (Number) –

TRUE if the library could be loaded, FALSE otherwise

Since : 1.22

### GstCuda.cuda_nvrtc_load_library

    def GstCuda.cuda_nvrtc_load_library ():
        #python wrapper for 'gst_cuda_nvrtc_load_library'

Loads the nvrtc library.

Returns (bool) –

TRUE if the library could be loaded, FALSE otherwise

Since : 1.22

The results of the search are